# $Revision: 1.25 $, $Date: 2006/11/29 22:54:54 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library for using OBEX
Summary(es):	Biblioteca para usar OBEX
Summary(pl):	Biblioteka do obsugi protokou OBEX
Name:		openobex
Version:	1.3
Release:	3
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/openobex/%{name}-%{version}.tar.gz
# Source0-md5:	feaa5dfe5151c0e70e8f868fa4648a43
Patch0:		%{name}-link.patch
Patch1:		%{name}-pc.patch
URL:		http://openobex.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library tries to implement a generic OBEX Session Protocol. It
does not implement the OBEX Application FrameWork.

%description -l es
Esta biblioteca procura dar una implementacin genrica del protocolo
OBEX Session Protocol. La implementacin de OBEX Application FrameWork
no est incluida.

%description -l pl
Ta biblioteka to prba implementacji podstawowego protokou sesji OBEX
Session Protocol. OBEX Application FrameWork nie jest
zaimplementowany.

%package devel
Summary:	Header files for Open OBEX
Summary(es):	Ficheros de cabecera para Open OBEX
Summary(pl):	Pliki nagwkowe Open OBEX
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The header files are only needed for development of programs using the
Open OBEX library.

%description devel -l es
Estos ficheros de cabecera slo son necesarios para desarrollar
programas que usan la biblioteca Open OBEX.

%description devel -l pl
W pakiecie tym znajduj si pliki nagwkowe, przeznaczone dla
programistw uywajcych biblioteki Open OBEX.

%package static
Summary:	Static Open OBEX library
Summary(es):	Biblioteca esttica de Open OBEX
Summary(pl):	Biblioteka statyczna Open OBEX
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Open OBEX library.

%description static -l pl
Biblioteka statyczna Open OBEX.

%package apps
Summary:	Open OBEX utility programs
Summary(pl):	Narzdzia Open OBEX
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}
Obsoletes:	openobex-progs

%description apps
This package contains utility programs made to show Open OBEX library
usage.

%description apps -l es
Este paquete contiene unas herramientas hechas para demonstrar el uso
de la biblioteca Open OBEX.

%description apps -l pl
Ten pakiet zawiera narzdzia zrobione aby pokaza sposb uycia
biblioteki Open OBEX.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-apps \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/libopenobex.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopenobex.so
%{_libdir}/libopenobex.la
%{_includedir}/*
%{_aclocaldir}/*
%{_pkgconfigdir}/*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%files apps
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ircp
%attr(755,root,root) %{_bindir}/irobex_palm3
%attr(755,root,root) %{_bindir}/irxfer
%attr(755,root,root) %{_bindir}/obex_tcp
%attr(755,root,root) %{_bindir}/obex_test

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openobex.spec,v $
Revision 1.25  2006/11/29 22:54:54  megabajt
- release 3 (rebuild with P: *.la)

Revision 1.24  2006/09/10 10:13:35  arekm
- fix includedir in pkgconfig file

Revision 1.23  2006/09/10 09:53:59  qboosh
- BR: ac >= 2.50

Revision 1.22  2006/08/27 11:33:39  arekm
- fix linking

Revision 1.21  2006/07/19 10:07:25  qboosh
- merged -apps

Revision 1.20  2006/07/19 10:02:30  qboosh
- strict internal deps

Revision 1.19  2006/07/18 16:50:56  kolodko
- up to 1.3

Revision 1.18  2006/06/24 16:36:28  freetz
- 1.2, MTU patch obsoleted, file list update

Revision 1.17  2005/10/17 15:20:44  adasi
- relup

Revision 1.16  2005/10/17 15:19:49  adasi
- add OBEX_SetTransportMTU export

Revision 1.15  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.14  2005/06/15 17:30:50  witekfl
- s/bcond_without static/bcond_without static_libs/

Revision 1.13  2005/06/15 15:50:12  witekfl
- added bcond_without static
- run automake

Revision 1.12  2003/11/21 01:48:40  saq
- version 1.0.1
- es translations

Revision 1.11  2003/08/05 09:51:10  wrobell
- regenerate ac/am stuff
- rel. 2

Revision 1.10  2003/05/28 13:00:06  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 05:51:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/08 13:28:38  qboosh
- use http for sources from sourceforge

Revision 1.7  2003/03/06 12:38:47  misi3k
- updated to 1.0.0
- split: openobex openobex-apps

Revision 1.6  2002/12/12 21:36:03  grabba
STBR

Revision 1.5  2002/11/25 14:17:47  ankry
- massive attack: no need for 755 for *.la

Revision 1.4  2002/08/19 10:52:39  grabba
- %%doc

Revision 1.3  2002/07/23 13:36:45  qboosh
- added Source URLs, fixes in summaries/descriptions

Revision 1.2  2002/07/21 20:22:29  kloczek
- adapterized and few cosmetics.

Revision 1.1  2002/07/21 12:47:43  grabba
- initial version
- working, but spec is not finished yet
